macos系统下pip运行报错 10C

第一次在os系统下想安装tensorflow,在安装完pip运行后不知什么原因发生如下报错

Traceback (most recent call last):
File "/usr/local/bin/pip", line 9, in
load_entry_point('pip==9.0.1', 'console_scripts', 'pip')()
File "/Library/Python/2.7/site-packages/pip-9.0.1-py2.7.egg/pip/__init__.py", line 219, in main
cmd_name, cmd_args = parseopts(args)
File "/Library/Python/2.7/site-packages/pip-9.0.1-py2.7.egg/pip/__init__.py", line 168, in parseopts
general_options, args_else = parser.parse_args(args)
File "/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/optparse.py", line 1383, in parse_args
values = self.get_default_values()
File "/Library/Python/2.7/site-packages/pip-9.0.1-py2.7.egg/pip/baseparser.py", line 283, in get_default_values
defaults = self._update_defaults(self.defaults.copy()) # ours
File "/Library/Python/2.7/site-packages/pip-9.0.1-py2.7.egg/pip/baseparser.py", line 230, in _update_defaults
val = strtobool(val)
File "/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/distutils/util.py", line 340, in strtobool
raise ValueError, "invalid truth value %r" % (val,)
ValueError: invalid truth value 'true #\xe5\x8f\x96\xe6\xb6\x88pip\xe7\x89\x88\xe6\x9c\xac\xe6\xa3\x80\xe6\x9f\xa5\xef\xbc\x8c\xe6\x8e\x92\xe9\x99\xa4\xe6\xaf\x8f\xe6\xac\xa1\xe9\x83\xbd\xe6\x8a\xa5\xe6\x9c\x80\xe6\x96\xb0\xe7\x9a\x84pip'

0

4个回答

检查下你的python是3.5还是2.x的,还是3.6的,tf只支持3.5。另外,初学者不妨从docker方式安装tf,保证小白也能一次成功。

0

tf 现在已经支持3.6了,我的就是3.6下配置的,已经测试了几个程序没有问题,建议楼主直接下载.whl的文件,手动安装,这样成功率会高很多 pip install +下载文件的具体路径+文件

0

还是从新安装吧,现在的按照官方步骤都是没问题的

0

去官方(https://www.lfd.uci.edu/~gohlke/pythonlibs/#lxm)下载一个tensorflow包 找到你的安装路径,进入scip什么的一个文件夹里边是你安装过的所有的包,吧你下载的tensorflow直接拉进去,按住shift在此处打开命令,pip安装就可以用了

0
Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
其他相关推荐
MacOS 使用国内源快速安装pip及相关软件
  MacOS系统默认安装的是python2.7,如果需要安装python3可以官方下载相应pkg包安装,一会就好了。接下来就要进入主题,如何快速安装pip到MacOS 首先下载相应的安装脚本 curl  https://bootstrap.pypa.io/get-pip.py -o get-pip.py 然后安装相应版本的pip,如下分别安装pip及pip3,然后就可以用pip快速给pyt...
Mac下如何安装pip
之前按照其他教程说的使用sudo easy_install pip,发现没法用。于是按照    https://blog.csdn.net/mike__lee/article/details/72593684的方法,先下载https://bootstrap.pypa.io/get-pip.py,然后直接sudo python get-pip.py,pip就安装好了。...
macos pip install 一直报错的解决方法
执行$pip install xxx(软件名)之后报一堆错,比如:Command "/usr/bin/python -u -c "import setuptools, tokenize;__file__='/private/tmp/pip-build-5CyiYk/python-gflags/setup.py';f=getattr(tokenize, 'open', open)(__file__);
mac安装pip
Pip 是安装python包的工具,提供了安装包,列出已经安装的包,升级包以及卸载包的功能。 Pip 是对easy_install的取代,提供了和easy_install相同的查找包的功能,因此可以使用easy_install安装的包也同样可以使用pip进行安装。   安装Pip Pip的安装可以通过源代码包,easy_install或者脚本。   easy_install:  
在苹果系统(Mac OS X)上安装PyQt4的问题解决
网上搜索了一下,资料挺少的。还有一些是英文的资料,总体来说是根据网上的资料,做了一些修改。 1.下载安装Qt。 这个要注意一下,注意版本。mac下可以直接用 brew install qt 但是这个安装的版本是pyqt5所对应的,所以还是下载qmake  4的比较好。我下载的是这个 qt-opensource-mac-4.8.6-1.dmg   下载地址为: 2
使用pip在mac OS系统下安装xgboost
电脑环境介绍: mac 系统 10.13.3 Python 3.6.5 |Anaconda custom (64-bit)| [GCC 4.2.1 Compatible Clang 4.0.1 (tags/RELEASE_401/final)] on darwin 笔者首先 直接 pip install xgboost,安装失败。 再试了conda install xgboost,提示...
Mac 下安装 Python-OpenCV Python-OpenCV 处理图像(一):基本操作
首先确保已经安装了Python Mac 下可以直接使用 brew 来安装OpenCV,具体步骤如下: # add opencv brew tap homebrew/science # install opencv brew install opencv 安装必要的python库 pip install numpy pip install matplotlib 测试是否安装成
macOS系统下python环境安装与Pycharm安装
python3环境安装 以下是通过homebrew安装python3的过程 第一次安装: 第二次安装: 安装后所在路径: Pycharm安装与使用 定义 Jetbrains家族和Pycharm版本划分:pycharm是Jetbrains家族中的一个明星产品,Jetbrains开发了许多好用的编辑器,包括Java编辑器(IntelliJ IDEA)、JavaScript编辑器(WebStor...
MAC OSX下用pip无法安装lxml的解决办法
一、问题现象 在安装pyspider时安装到lxml报错 In file included from src/lxml/lxml.etree.c:323: src/lxml/includes/etree_defs.h:14:10: fatal error: 'libxml/xmlversion.h' file not found #include "libxml/xmlv
Mac安装python3后pip和pip3的区别
前言 安装python3后,在想会不会和系统python安装的库冲突,实际上并不需要担心这些   包安装的路径 1.使用pip install XXX,安装后的库会放在python2.7/site-packages目录下 2.使用pip3 install XXX,安装后的库会放在python3.7/site-packages目录下   安装包 安装包只需要通过install命令即可...
macOS 中 Python 通过 pip 安装第三方模块成功,导入该模块失败的解决方法
最近在折腾爬虫,用到了第三方模块 beautifulsoup4beautifulsoup4beautifulsoup4,用 pippippip 安装了该第三方库后,import bs4import bs4import\ bs4 失败,报错提示如下: >>> import bs4 Traceback (most recent call last):
Mac下找不到pip
pip是我们在python中常用的,可是有些童鞋会找不到pip,下面我们来说一下: 1、pip是python的包管理工具,在Python2.7的安装包中,easy_install.py是默认安装的,而pip需要我们手动安装。 打开终端: sudo easy_install pip 就可以安装pip ps:这样就会安装在系统自带的python2.7的路径下,而我们要的开发环境是pytho...
[mac]安装python3后使用pip和pip3的区别
安装了python3之后,会有pip3 1. 使用pip install XXX  新安装的库会放在这个目录下面 python2.7/site-packages 2. 使用pip3 install XXX  新安装的库会放在这个目录下面 python3.6/site-packages 如果使用python3执行程序,那么就不
Mac无法使用pip与pip3命令
Pip 与pip3分别是用终端安装python与python3时自带的命令,如果无法使用,则使用 brew reinstall python 和 brew reinstall python3 重装 python 与 python3。
在Mac 上搭建Pygame环境(含安装错误的解决办法)
在Mac 上搭建pygame(含安装错误的解决办法) 前言:说一下写本文的原因吧,最近在学习Python,学习到用pygame开发游戏的时候,在Mac电脑上装pygame却始终无法安装成功。折腾了好久才安装成功,因此准备记录一下安装方法,可以让想学习pygame开发游戏的人,不把时间浪费在装pygame上。 安装环境   说一下本文的内容是基于什么环境的,以免误导大家 mac...
MAC装机指南--安装pip
MAC装机指南–安装pip 在刚使用一台新的mac笔记本时候,我们在执行pip时候可能会出现这样的问题:-bash: pip: command not found ,这个问题就是证明当前环境中还没有pip,所以我们需要进行安装。 我们需要知道的是,我们不需要进行下载pip的安装包来进行安装,因为python里面自带pip的安装包,所以我们只需要进行一下简单的命令执行就可以安装。 ...
mac下安装virtualenv,以及安装virtualenvwrapper出错解决方案
virtualenv是Django很好的工具,能帮助我们管理虚拟环境。下面是在mac下如何安装使用安装virtualenvsudo pip install virtualenv安装完成过后发现virtualenv用起来不是那么的方便,操作起来挺复杂的。virtualenvwrapper 使得virtualenv变得更好用,所以我们一起安装了。安装virtualenvwrappersudo pip ...
Mac系统安装pip和requests模块遇到的常见问题及解决办法
最近需要,使用了Mac系统来开发python的项目,之前都是使用windows的。但是遇到很多的问题。   Mac系统是默认安装了python2.7的版本的。 首先,先检查一下有没有pip的命令,如下图所示:   如果没有pip的命令的话,那就需要我们自己来安装来。 首先去https://bootstrap.pypa.io/  这个网页上下载get-pip.py文件。然后在终端使用...
pip安装国内源及(Linux和Mac os)配置pip安装默认源
国内源: 阿里云 :http://mirrors.aliyun.com/pypi/simple/ 中国科技大学: https://pypi.mirrors.ustc.edu.cn/simple/ 豆瓣(douban): http://pypi.douban.com/simple/ 清华大学: https://pypi.tuna.tsinghua.edu.cn/s...
Mac、Linux系统上通过pip更新所有的可更新的python库(附件可执行更新脚本)
1、运行系统终端,输入pip测试pip是否安装,已安装会有如下提示: 2、终端输入pip list -o,查看可更新列表; 3、终端输入更新命令: for i in `pip list -o --format columns|awk '{print $1}'`; do  if [ $i != "--------------------------------------" -a $i ...
Mac解决安装pip(python2.7)失败
# curl https://bootstrap.pypa.io/get-pip.py -o get-pip.py # python get-pip.py
Mac更换pip源
这里用的是阿里的源,其他源请自行更换http://mirrors.aliyun.com/pypi/simple/ 即可 mkdir ~/.pip tee ~/.pip/pip.conf <<-'EOF' [global] index-url=http://mirrors.aliyun.com/pypi/simple/ [install] trusted-host=mirrors.al...
Mac 建立pip 与 pip3 软连接
Mac 建立pip 与 pip3 软连接 引言: 我15年的 Mac 自带python 2.7、现在18年python发展到了3.7 安装python后 自带包管理工具 pip【如果没有 偷懒的话 重新下载安装】 pip2 和 pip3 安装第三方库 重点 :pip后要加数字我觉得很不舒服 所以我打算建立一个软连接 最后希望实现的效果如下: Jerry:~ Jerry$ pip --versi...
解决mac osx下pip安装python模块权限的问题
由于El Capitan引入了SIP机制(System Integrity Protection),默认下系统启用SIP系统完整性保护机制,无论是对于硬盘还是运行时的进程限制对系统目录的写操作。所以,需要暂时解开这个保护机制。 重启电脑,按住Command+R(直到出现苹果标志)进入Recovery Mode(恢复模式) 左上角菜单里找到实用工具 -> 终端 输入csrutil di
Mac下Python对于pip3 install升级的问题
Mac下Python对于pip3 install升级的问题 自己一个python小白,遇到了pip3 install 下载模块时升级的问题; 使用Mac时,自带python2.7,但是对于python3来说有点老,不能叫过时,所以升级到了3.6,一支使用pip3 install 下载模块都没有问题,但突然,一周前发现install时给我报pip3版本太低,需升级,但是按照下面写的 pip in...
pip2 运行报错
1. pip2运行报错 Fatal error in launcher: Unable to create process using '"' 升级pip2 C:\Users\Administrator>python2 -m pip install --upgrade --force-reinstall pip 运行pip2 C:\Users\Administrator...
Python库管理工具pip在Mac上安装卸载
1. pip下载安装 1.1 pip下载 wget "https://pypi.python.org/packages/source/p/pip/pip-1.5.4.tar.gz#md5=834b2904f92d46aaa333267fb1c922bb" --no-check-certificate 我当时用的easy_install,因为我一开始想用 homebrew, homebrew
Mac下 pip的安装
Mac下 pip的安装 编译 Python3.7 终端输入: curl https://bootstrap.pypa.io/get-pip.py | python3 安装完成,检查版本信息 pip3 –version pip3 list
MacOS系统脚本的编写
MacOS系统脚本的编写MacOS系统脚本的编写MacOS系统脚本的编写MacOS系统脚本的编写MacOS系统脚本的编写MacOS系统脚本的编写MacOS系统脚本的编写MacOS系统脚本的编写MacOS系统脚本的编写MacOS系统脚本的编写MacOS系统脚本的编写MacOS系统脚本的编写MacOS系统脚本的编写MacOS系统脚本的编写MacOS系统脚本的编写MacOS系统脚本的编写MacOS系统脚本的编写MacOS系统脚本的编写
Mac下使用pip安装Pytorch
由于Mac不支持CUDA,所以使用下面的命令即可安装pytroch,分两种python2.7版和python3.5及以上。Python 2.7:sudo pip install torch torchvisionPython 3.5 & Python 3.6sudo pip3 install torch torchvisionPytorch官网:https://pytorch.org/如果...
【自我吐槽】mac环境下python安装pandas中遇到的坑总结
最近在做金融建模方面的工作,用到numpy、scipy、pandas包,但是在下载过程中可谓是一波n折,特此总结一下,希望能帮看到这篇博文的人解决一些问题。 我一开始安装了pip,直接在终端里用命令行成功下载了numpy,感觉非常开心。但是接下来下载pandas就遇到了第一个问题。 因为pandas包含了numpy1.9.0在内,所以在安装中需要卸载掉我电脑里原有的numpy1.8.0,但是m
Linux/Mac下pip换源
pip换源
如何在mac版本的python里安装pip
mac里面python自带easy_install,在终端里面执行sudo easy_install pip。运行完可以用pip help测试一下是否安装成功,成功安装后,直接pip install 安装其它包。ps:用sudo的时候需要输入密码,这个密码是你自己电脑的密码,输入的时候采取了“保密措施”,你看不到自己输入的字符,完整的输入进去以后,回车就可以了。...
Mac OSX 升级python six模块版本
问题描述: Mac系统下,使用sudo命令升级python six模块,会出现operation not permitted的错误提示 错误定位: http://stackoverflow.com/questions/29485741/unable-to-upgrade-python-six-package-in-mac-osx-10-10-2 http:/
如何安装pip3以及第三方python库(for Mac)
环境 OS:10.12.3 (16D32) macOS Sierra Python3: Python 3.6.1 什么是pip Python之所以强大,其中一个原因是其丰富的第三方库。pip则是python第三方库的包管理工具。 由于在Mac上python2和python3是共存的。因而python3对应的包管理工具的命令就是:pip3 如何安装pip3 如果通过homebrew安装p...
MacOS下安装pip
Python 开发Python的小伙伴免不了要使用pip命令了,那么在macOS里面需要怎么安装呢?网上有些人说需要安装先安装easy_install 的,但实际上是不需要的,因为在MacOS版的Python里面已经包含了easy_install了,所以直接使用以下命令:sudo easy_install pip如果提示安装失败的话,建议重试,即可安装成功...
Mac下安装Pillow
使用Python处理图片时需要第三方库支持——Python Imaging Library,这是Python下非常强大的处理图像的工具库 否则报错: ImportError: No module named PIL 图形处理模块: Pillow 1、在终端下使用命令:pip  如果报错: sudo: pip: command not found 使用命令进行安装:
MAC OSX系统下解决Python 3.7 pip无法安装的问题
MAC OSX系统下解决Python 3.7 pip无法安装的问题 本人纯正小白一名了,之前pip一直装不上,看了很多经验,还是不行,最后终于琢磨出来: 不是python的文本框里面输入 是应用程序的终端中输入 之前一直报错 SyntaxError:invalid syntax 如下图 最后成功: 输入:pip3 install requests 就成功了!! ...
Mac下安装pip和pylint遇到的坑
工作需要使用Python,OS X自带Python 2.7,需要安装pip和pylint。1. 安装pip使用homebrew安装可能会提示不能安装pip,所以使用Mac自带的Python工具easy_install进行安装: sudo easy_instatll pip安装过程可能需要fq。2. 安装pylint直接使用pip安装pylint会提示权限错误:Exception: Traceb
Mac 下安装pip3 亲测有效转发一下
https://www.jianshu.com/p/3701ff3399dd Mac 下安装pip3 亲测有效转发一下
文章热词 机器学习教程 Objective-C培训 交互设计视频教程 颜色模型 设计制作学习
相关热词 mysql关联查询两次本表 native底部 react extjs glyph 图标 python删除pip教程 系统的学python